Database Migration MCP service
A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The Database Migration API MCP server has the following global MCP endpoint:
- https://datamigration.googleapis.com/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
Tools
The datamigration MCP server has the following tools:
| MCP Tools | |
|---|---|
list_static_ips |
When you migrate a database into Google Cloud using DMS, Google needs a way to securely connect to your source database to read the data. If you choose the Static-IP connectivity method to connect to your source database, you will need to allow incoming traffic from DMS's specific, trusted IPs. This tool lists the IP addresses (matching the provided resource name) that should be allowlisted by the customer.
|
list_migration_jobs |
Lists the migration jobs of the provided parent with optional filters.
For example: |
get_operation |
Gets the status of a long-running operation. Usage Some tools (for example, Parameters
Returns
|
get_migration_job |
Get details of the migration job specified by the provided resource
|
start_migration_job |
Starts an already created migration job, specified by the provided resource
|
stop_migration_job |
Stops an already started migration job, specified by the provided resource
|
resume_migration_job |
Resume a migration job that is currently stopped and is resumable (was stopped during CDC phase). Migration job is specified by the provided resource
|
delete_migration_job |
Deletes a migration job, specified by the provided resource
|
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://datamigration.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |